use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Deserialize, Serialize)]
#[serde(tag = "adv_type")]
pub enum SceneAdvancement {
    Manual,
    Timed { time_s: f32 },
    SequenceComplete,
}

#[derive(Debug, Clone, Deserialize, Serialize)]
#[serde(tag = "type")]
pub enum NextScene {
    NextInSequence,
    Previous,
    JumpTo { scene_name: String },
}

#[derive(Debug, Clone, Deserialize, Serialize)]
pub struct Scene {
    pub name: String,
    pub playlist: String,
    pub adv: SceneAdvancement,
    pub next_scene: NextScene,
}
